<!--<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon"></app-page-title>-->
<div class="app-page-title">
    <div class="page-title-wrapper">
        <div class="page-title-heading">
            <div class="page-title-icon">
                <i class="icon {{icon}}"></i>
            </div>
            <div>
                {{ heading }}
                <div class="page-title-subheading">
                    {{subheading}}
                </div>
            </div>
        </div>
        <!--<div class="page-title-actions">
            <button type="button"
                    class="btn-shadow d-inline-flex align-items-center btn btn-success"
                    (click)="newRecord()">
                <fa class="mr-2" name="plus"></fa>
                Nuevo
            </button>
        </div>-->
    </div>
</div>

<div class="main-card mb-3 card">
    <div class="card-body">

        <kendo-grid [data]="dataGrid" [filter]="filter" [filterable]="true" (filterChange)="filterChange($event)"
                    [selectable]="true" [navigable]="true" [reorderable]="true" [resizable]="true" [sort]="sort"
                    [sortable]="true"
                    (sortChange)="sortChange($event)" [groupable]="true" [group]="groups"
                    (groupChange)="groupChange($event)" (edit)="editRow($event)"
                    (remove)="deleteRow($event)" style="height: 87vh">
            <ng-template kendoGridToolbarTemplate>
                <div class="row">
                    <div class="col d-flex justify-content-end">
                        <button (click)="newRow()" class="btn btn-success">
                            <i class="fa fa-plus mr-2"></i>Nuevo
                        </button>
                        <button (click)="printPDF()" class="btn btn-light ml-1">
                            <i class="far fa-file-pdf mr-2"></i>PDF
                        </button>
                    </div>
                </div>
            </ng-template>
            <kendo-grid-column field="Estado" title="Estado" width="90" [filterable]="false"></kendo-grid-column>
            <kendo-grid-column field="enombre" title="Nombre" width="320"></kendo-grid-column>
            <kendo-grid-column field="Pais" title="Pais"></kendo-grid-column>
            <kendo-grid-column field="region" title="Region" [filterable]="false"></kendo-grid-column>
            <kendo-grid-column field="Inactivo" title="Inactivo" width="120">
                <ng-template kendoGridFilterCellTemplate>
                    <kendo-switch (valueChange)="switchChange($event)" offLabel="No" [checked]="checked" onLabel="Si">
                    </kendo-switch>
                </ng-template>
                <ng-template kendoGridCellTemplate let-dataItem>
                    <input type="checkbox" [checked]="dataItem.Inactivo" disabled/>
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-command-column title="Actions" width="220">
                <ng-template kendoGridCellTemplate let-isNew="isNew">
                    <button kendoGridEditCommand [primary]="true">Editar</button>
                    <button kendoGridRemoveCommand>Eliminar</button>
                </ng-template>
            </kendo-grid-command-column>
        </kendo-grid>
        <div class="row" *ngIf="flagShowForm">
            <kendo-dialog [width]="500">
                <form [formGroup]="myFormGroup">
                    <div class="row d-flex justify-content-between">
                        <div class="col-8">
                            <label for="Estado">Estado</label>
                            <input type="text" class="form-control form-control-lg" name="Estado"
                                   [(ngModel)]="myFormGroup.value.Estado"
                                   autofocus formControlName="Estado" [readOnly]="flagEdit" maxlength="3">
                        </div>
                        <div class="col-4">
                            <label for="Inactivo" class="ml-4">Inactivo</label>
                            <kendo-switch class="ml-4" name="Inactivo" [(ngModel)]="myFormGroup.value.Inactivo"
                                          formControlName="Inactivo"
                                          [onLabel]="'Si'" [offLabel]="'No'">
                            </kendo-switch>
                        </div>
                        <div class="col-12">
                            <label for="enombre">Nombre</label>
                            <input type="text" class="form-control form-control-lg" name="enombre"
                                   [(ngModel)]="myFormGroup.value.enombre"
                                   formControlName="enombre">
                        </div>
                        <div class="col-6">
                            <label for="region">Región</label>
                            <select class="form-control" name="region" [(ngModel)]="myFormGroup.value.region"
                                    formControlName="region">
                                <option value="">Seleccione</option>
                                <option *ngFor="let ireg of dataRegiones" [value]="ireg.region">{{ ireg.eDesc }}
                                    ({{ ireg.region }})
                                </option>
                            </select>
                        </div>
                        <div class="col-6">
                            <label for="Pais">País</label>
                            <select class="form-control" name="Pais" [(ngModel)]="myFormGroup.value.Pais"
                                    formControlName="Pais">
                                <option value="">Seleccione</option>
                                <option *ngFor="let ipais of dataPaises" [value]="ipais.Pais">{{ ipais.Pais }}</option>
                            </select>
                        </div>
                    </div>
                </form>
                <div class="row">
                    <div class="m-3">
                        <div class="row col-12">
                            <h5>Manual</h5>
                        </div>
                        <div class="col-3 custom-control custom-checkbox" *ngFor="let manual of emmanual;">
                            <input type="checkbox" class="custom-control-input" [id]="manual.id" [name]="manual.id"
                                   [(ngModel)]="manual.value">
                            <label class="custom-control-label" [for]="manual.id">{{ manual.desc }}</label>
                        </div>
                    </div>
                </div>
                <div class="row d-flex justify-content-around mt-1">
                    <button type="button" class="btn btn-light col-4 py-3" (click)="cerrarForm();">Cerrar</button>
                    <button type="button" class="btn btn-success col-4 py-3"
                            [disabled]="myFormGroup.status === 'INVALID'" (click)="guardarForm();">
                        Guardar
                    </button>
                </div>
            </kendo-dialog>
        </div>

    </div>
</div>
